---
title: ReadableStreamBYOBReader.ReadableStreamBYOBReader()
slug: Web/API/ReadableStreamBYOBReader/ReadableStreamBYOBReader
tags:
  - API
  - Constructor
  - Experimental
  - ReadableStreamBYOBReader
  - Reference
  - Streams
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>ReadableStreamBYOBReader()</code></strong> constructor creates and returns a <code>ReadableStreamBYOBReader</code> object instance.</p>

<div class="note">
<p><strong>Note</strong>: You generally wouldn't use this constructor manually; instead, you'd use the {{domxref("ReadableStream.getReader()")}} method.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>readableStreamBYOBReader</em> = new ReadableStreamBYOBReader(<em>stream</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>stream</dt>
 <dd>The {{domxref("ReadableStream")}} to be read.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An instance of the {{domxref("ReadableStreamBYOBReader")}} object.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>The supplied <code>stream</code> parameter is not a {{domxref("ReadableStream")}}, or it is already locked for reading by another reader, or its stream controller is not a {{domxref("ReadableByteStreamController")}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#byob-reader-constructor","ReadableStreamBYOBReader()")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableStreamBYOBReader.ReadableStreamBYOBReader")}}</p>
